AnsweredAssumed Answered

API mate origin's with Align Axes Checked

Question asked by Joe Pickens on Feb 17, 2016
Latest reply on Feb 18, 2016 by Matt Martens

I am trying to mate a component to my assembly by way of mating their origins but when i do it dosent check the "Align Axes" box.

 

Is there a way for me to create this mate

 

This is the code im using to create the mate

 

'Select entities for mating

boolstat = SWDocExt.SelectByID2(FirstSelection, "EXTSKETCHPOINT", 0, 0, 0, True, 1, Nothing, swSelectOptionDefault)

boolstat = SWDocExt.SelectByID2(SecondSelection, "EXTSKETCHPOINT", 0, 0, 0, True, 1, Nothing, swSelectOptionDefault)

 

'Add the mate

Set SWMateFeat = Asm.AddMate3(swMateCOINCIDENT, swMateAlignALIGNED, False, 0, 0, 0, 0, 0, 0, 0, 0, False, SWMateError)

 

I have tryed changing the swMateCOINCIDENT or (0) with swMateCOORDINATE or (20) but it seems no matter what i do when using swMateCOORDINATE it dosent create the mate.

Outcomes